# Get Component By ID

Retrieve a component by its ID

Endpoint: GET /component_creatives/v3.0/components/{component_id}
Version: 3.0
Security: BearerAuth

## Path parameters:

  - `component_id` (integer, required)
    Component ID

## Response 200 fields (application/json):

  - `data` (object)
    Component definition

  - `data.char_limit` (integer)

  - `data.component_human_name` (string)

  - `data.component_id` (integer)

  - `data.created_at` (string)

  - `data.is_enabled` (boolean)

  - `data.updated_at` (string)

  - `data.value_type_name` (string)

  - `meta` (object)
    Response metadata

  - `meta.code` (integer)

  - `meta.count` (integer)

  - `meta.next_page` (string)

  - `meta.offset` (integer)

  - `meta.prev_page` (string)

  - `meta.status` (string)

  - `meta.total_count` (integer)

  - `meta.type` (string)

## Response 400 fields (application/json):

  - `data` (any)

  - `error` (string)

  - `message` (string)

## Response 401 fields (application/json):

  - `data` (any)

  - `error` (string)

  - `message` (string)

## Response 404 fields (application/json):

  - `data` (any)

  - `error` (string)

  - `message` (string)

## Response 500 fields (application/json):

  - `data` (any)

  - `error` (string)

  - `message` (string)

